﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace EHEC_Server
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IService" in both code and config file together.
    [ServiceContract]
    public interface IService
    {

        [OperationContract]
        Doctor WriteDoctor(Doctor doctor);

        [OperationContract]
        Patient WritePatient(Patient patient);

        [OperationContract]
        Origin WriteOrigin(Origin origin);

        [OperationContract]
        Exam WriteExam(Exam exam);

        [OperationContract]
        Origin_Exam WriteOrigin_Exam(Origin_Exam origin_exam);

        [OperationContract]
        Result WriteResult(Result result);

        [OperationContract]
        List<Result> GetResults();

        [OperationContract]
        Patient CreateRandomPatient(Patient patient);

        [OperationContract]
        Doctor CreateRandomDoctor(Doctor doctor);

        [OperationContract]
        Origin CreateRandomOrigin(Origin origin);
        [OperationContract]
        Result CreateRandomResult(Result result);
        [OperationContract]
        Exam CreateRandomExam(Exam exam);

        [OperationContract]
        String Ping();
    }
}
